#! /usr/local/bin/perl

# this is the version that works on solaris.

use strict;

sub main
{
    my $line;
    my $mychar;
    my $symbol;
    my @token;

    while ($line = <>)
    {
        chomp($line);
        next if (length($line) < 9);
        @token = split(/\|/, $line);
        next if (scalar(@token) <= 7);
        $symbol = $token[7];
        $token[4] =~ s/ *//g;
        $token[6] =~ s/ *//g;
        if ($token[4] eq "GLOB")
        {
            if ($token[6] eq "UNDEF")
            {
                print $symbol."|0\n";
            }
            else
            {
                print $symbol."|1\n";
            }
        }
    }
}

&main();
